package com.ejie.ab04b.model.toolbar;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @author GFI-NORTE
 * 
 */
public class Botonera implements Serializable {

	private static final long serialVersionUID = 1L;

	private List<Boton> buttons = new ArrayList<Boton>();

	/**
	 * Gets the buttons.
	 * 
	 *  List<Boton>
	 *
	 * @return the buttons
	 */
	public List<Boton> getButtons() {
		return this.buttons;
	}

	/**
	 * Sets the buttons.
	 * 
	 *  buttons            List<Boton>
	 *
	 * @param buttons the new buttons
	 */
	public void setButtons(List<Boton> buttons) {
		this.buttons = buttons;
	}

	/**
	 * addBoton.
	 * 
	 *  boton            Boton
	 *
	 * @param boton the boton
	 */
	public void addBoton(Boton boton) {
		if (this.buttons == null) {
			this.buttons = new ArrayList<Boton>();
		}
		this.buttons.add(boton);
	}
}
